Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059400 - Migrating VM to host with insufficient memory results in a 'host not found' error
Summary: Migrating VM to host with insufficient memory results in a 'host not found' e...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.3.0
Hardware: All
OS: All
medium
medium
Target Milestone: ---
: 3.4.0
Assignee: Gilad Chaplik
QA Contact: Artyom
URL:
Whiteboard: sla
Depends On:
Blocks: rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-01-29 18:59 UTC by Jake Hunsaker
Modified: 2018-12-05 17:08 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, migrating a virtual machine to a host with insufficient memory produced a misleading "host not found" error message. Now, the following, more meaningful, message appears: "The host did not satisfy internal filter Memory".
Clone Of:
Environment:
Last Closed:
oVirt Team: SLA


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC

Description Jake Hunsaker 2014-01-29 18:59:52 UTC
Description of problem:

If a VM is manually migrated to a specific host, and that host doesn't have enough memory for the VM, RHEV throws a 'host not found' error

Version-Release number of selected component (if applicable):

rhevm-3.3.0

How reproducible:
100%

Steps to Reproduce:
1. Try to manually migrate a VM to a host without sufficient memory to run the VM
2.
3.

Actual results:

RHEV throws a 'host not found' error which is a bit misleading


Expected results:

Error should specify "host does not have sufficient memory to run VM" or similar.

Additional info:

Log messages for this:

2014-01-27 22:10:50,963 INFO  [org.ovirt.engine.core.bll.MigrateVmToServerCommand] (ajp-/127.0.0.1:8702-50) [209c4e1f] Lock Acquired to object EngineLock [exc
lusiveLocks= key: 077d3787-b472-4e8f-8abd-50cef342cb23 value: VM
, sharedLocks= ]
2014-01-27 22:10:51,913 INFO  [org.ovirt.engine.core.bll.scheduling.SchedulingManager] (ajp-/127.0.0.1:8702-50) [209c4e1f] Candidate host lb0106 (392fe10a-06c
c-4b8a-8570-9aa7f429d7ba) was filtered out by VAR__FILTERTYPE__INTERNAL filter Memory
2014-01-27 22:10:51,994 INFO  [org.ovirt.engine.core.bll.MigrateVmToServerCommand] (ajp-/127.0.0.1:8702-50) [209c4e1f] Running command: MigrateVmToServerComma
nd internal: false. Entities affected :  ID: 077d3787-b472-4e8f-8abd-50cef342cb23 Type: VM
2014-01-27 22:10:52,259 INFO  [org.ovirt.engine.core.bll.scheduling.SchedulingManager] (ajp-/127.0.0.1:8702-50) [209c4e1f] Candidate host lb0106 (392fe10a-06c
c-4b8a-8570-9aa7f429d7ba) was filtered out by VAR__FILTERTYPE__INTERNAL filter Memory (correlation id: 209c4e1f)
2014-01-27 22:10:52,260 ERROR [org.ovirt.engine.core.bll.MigrateVmToServerCommand] (ajp-/127.0.0.1:8702-50) [209c4e1f] Command org.ovirt.engine.core.bll.Migra
teVmToServerCommand throw Vdc Bll exception. With error message VdcBLLException: RESOURCE_MANAGER_VDS_NOT_FOUND (Failed with error RESOURCE_MANAGER_VDS_NOT_FO
UND and code 5004)
2014-01-27 22:10:52,262 ERROR [org.ovirt.engine.core.bll.MigrateVmToServerCommand] (ajp-/127.0.0.1:8702-50) [209c4e1f] Transaction rolled-back for command: or
g.ovirt.engine.core.bll.MigrateVmToServerCommand.
2014-01-27 22:10:52,282 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ajp-/127.0.0.1:8702-50) [209c4e1f] Correlation ID: 209c4e1f, Job ID: 566da75a-c737-4127-8e2c-8b64a928cb2f, Call Stack: null, Custom Event ID: -1, Message: Migration failed  (VM: lbvgrheva0113, Source: lb0197, Destination: <UNKNOWN>).
2014-01-27 22:10:52,292 INFO  [org.ovirt.engine.core.bll.MigrateVmToServerCommand] (ajp-/127.0.0.1:8702-50) [209c4e1f] Lock freed to object EngineLock [exclusiveLocks= key: 077d3787-b472-4e8f-8abd-50cef342cb23 value: VM
, sharedLocks= ]

Comment 1 Doron Fediuck 2014-02-10 15:20:09 UTC
The issue is in the migration command, and the scheduler is working as expected.

Comment 2 Gilad Chaplik 2014-02-20 13:30:00 UTC
non reproducible, probably got fixed in our 3.4 efforts in this area.
moving to ON_QA.

Comment 3 Artyom 2014-02-20 16:28:52 UTC
Verified on ovirt-engine-3.4.0-0.11.beta3.el6.noarch
Cannot migrate VM. There are no available running Hosts with sufficient memory in VM's Cluster .
Cannot migrate VM. There is no host that satisfies current scheduling constraints. See below for details:
The host rose05.qa.lab.tlv.redhat.com did not satisfy internal filter Memory.
This messages appear when manually migrate vm on host without sufficient memory

Comment 4 Itamar Heim 2014-06-12 14:08:52 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.